#if 0
-----------  YourWS_Inspector.h
Created 8-13-92 (Greg Burd)

Purpose:
	This is the main object that WorkSpace will deal with to maintain your
	new contense inspector.

================= #import<std/disclaimer.h>
You may freely copy, distribute, and reuse the code in this example.
NeXT disclaims any warranty of any kind, expressed or  implied, as to its
fitness for any particular use.
_________________________
#endif

// This inport is required.  It contains the WMInspector definitions.
#import <apps/Workspace.h>

@interface YourWS_Inspector:WMInspector {
	// You must hook up this outlet to the window with the your inspector
	//   in it.  This is how WS knows what view to swap in.  It actually takes
	//   the content view and works with that. (Much like SwapView does...)
	//id		window; (it is defined in the super class)
	
	//  These outlets are specific to this example inspector and need not be
	//    in your implementation.
	id		text;		
}

+ new;
/* ---- Responsible for loading the nib file */

- revert:sender;
/* ---- This is the main point of functionality: this method is
		called when the inspector is activited.
		must call [super revert:sender]
		Required in subclass */

- ok:sender;
/* ---- Optional, required if the inspector allows changing
		attributes of the selection
		 When present must call [super ok:sender] */

- touch:sender;
/* ---- Optional -
		marks the window as edited; When defined lets subclass reject touch: */
    
- textDidChange:sender;
/* ---- Optional -
		calls touch; facilitates NIB connections of the textDelegates */
		
/*---------------------------------------*/
//  These methods are not required to create a working inspector, there are
//    here to to some of the thinks that I want the inspector to do.

- setEdited:sender;

@end
